<?php

namespace App\Entity\Migration;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
class Centros
{

    #[ORM\Column(length: 255)]
    private ?string $nombrecentro = '';

    #[ORM\Column]
    private ?int $identidad;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $comentarios = '';

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $directorio = '';

    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    protected ?int $idcentro = null;

    /**
     * Set nombrecentro.
     *
     * @param string $nombrecentro
     *
     * @return Centros
     */
    public function setNombrecentro($nombrecentro)
    {
        $this->nombrecentro = $nombrecentro;

        return $this;
    }

    /**
     * Get nombrecentro.
     *
     * @return string
     */
    public function getNombrecentro()
    {
        return $this->nombrecentro;
    }

    /**
     * Set identidad.
     *
     * @param int|null $identidad
     *
     * @return Centros
     */
    public function setIdentidad($identidad = null)
    {
        $this->identidad = $identidad;

        return $this;
    }

    /**
     * Get identidad.
     *
     * @return int|null
     */
    public function getIdentidad()
    {
        return $this->identidad;
    }

    /**
     * Set comentarios.
     *
     * @param string|null $comentarios
     *
     * @return Centros
     */
    public function setComentarios($comentarios = null)
    {
        $this->comentarios = $comentarios;

        return $this;
    }

    /**
     * Get comentarios.
     *
     * @return string|null
     */
    public function getComentarios()
    {
        return $this->comentarios;
    }

    /**
     * Set directorio.
     *
     * @param string|null $directorio
     *
     * @return Centros
     */
    public function setDirectorio($directorio = null)
    {
        $this->directorio = $directorio;

        return $this;
    }

    /**
     * Get directorio.
     *
     * @return string|null
     */
    public function getDirectorio()
    {
        return $this->directorio;
    }

    /**
     * Get idcentro.
     *
     * @return int
     */
    public function getIdcentro()
    {
        return $this->idcentro;
    }
}
